Bug 91125 - ksirc broken by kdenetwork update to 3.0.5a ; also VERY stale build released
ksirc broken by kdenetwork update to 3.0.5a ; also VERY stale build released
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-18 23:55 EDT by R P Herrold
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-22 10:29:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2003-05-18 23:55:11 EDT
ksirc seemingly will connect to and IRC server, but will not join a channel:  A
new 'eval' error appears:

[23:39:17]  Welcome to sirc version 2.211; type /help for help
[23:39:17] *E* eval error: syntax error at (eval 9) line 1, at EOF
[23:39:17]  Loading filter parser...
[23:39:17]  Filter Parser Loaded
[23:39:17]  Unable to find SYS_gettimeofday, using LINUX default!
[23:39:18]  Loaded KSirc.pl

------------------------------------------

but there is no eval in the ksirc binaries:

bash-2.05b$ locate sirc | grep bin
/usr/bin/dsirc
/usr/bin/ksirc
bash-2.05b$ less
bash-2.05b$ wc /usr/bin/dsirc /usr/bin/ksirc
   2358    8603   70036 /usr/bin/dsirc
      7      81    4791 /usr/bin/ksirc
   2365    8684   74827 total
bash-2.05b$ grep eval /usr/bin/ksirc /usr/bin/ksirc
bash-2.05b$

==============================

Curiously also, the SRPM is allegedly rebuilt in December 2002 and just released?

bash-2.05b$ rpm -qi ksirc
Name        : ksirc                        Relocations: /usr
Version     : 3.0.5a                            Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Tue Dec 24 13:43:52 2002
Install Date: Wed May 14 02:00:40 2003      Build Host: tweety.devel.redhat.com
Group       : Applications/Internet         Source RPM: kdenetwork-3.0.5a-1.src.rpm
Comment 1 Ed Weinberg 2003-05-19 18:56:25 EDT
I have the same problem with Ksirc.  I have only upgraded an RH8.0 system on a P4.
The version, according to "Help" is 3.05a-4.
Comment 2 Ngo Than 2003-05-21 04:30:40 EDT
i can reproduce this bug
Comment 3 Ngo Than 2003-05-22 10:29:23 EDT
it's fixed in kde-3.1.1a, which you could download form ftp.kde.org

Note You need to log in before you can comment on or make changes to this bug.